resource "aws_alb_listener" "nlb-listener-http-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "443"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-30001.arn
  }
}

resource "aws_alb_listener" "nlb-listener-tls-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "80"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-30000.arn
  }
}

resource "aws_alb_listener" "nlb-listener-31300-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31300"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31300.arn
  }
}

resource "aws_alb_listener" "nlb-listener-31301-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31301"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31301.arn
  }
}


resource "aws_alb_listener" "nlb-listener-31302-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31302"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31302.arn
  }
}

resource "aws_alb_listener" "nlb-listener-31303-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31303"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31303.arn
  }
}


resource "aws_alb_listener" "nlb-listener-31304-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31304"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31304.arn
  }
}

resource "aws_alb_listener" "nlb-listener-31305-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31305"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31305.arn
  }
}



resource "aws_alb_listener" "nlb-listener-31310-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31310"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31310.arn
  }
}


resource "aws_alb_listener" "nlb-listener-31311-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31311"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31311.arn
  }
}


resource "aws_alb_listener" "nlb-listener-31312-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31312"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31312.arn
  }
}


resource "aws_alb_listener" "nlb-listener-31313-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31313"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31313.arn
  }
}


resource "aws_alb_listener" "nlb-listener-31314-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31314"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31314.arn
  }
}

resource "aws_alb_listener" "nlb-listener-31315-prod" {
  load_balancer_arn = aws_alb.nlb-prod-kr-ingress.arn
  port              = "31315"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-prod-kr-tcp-31315.arn
  }
}
